Subject: Re: bug#33747: 26.1; process-send-string exceeds max-specpdl-size

From: Markus Triska <[email-masked]>
Date: Fri, 14 Dec 2018 19:50:39 +0100

Eli Zaretskii <[email-masked]> writes:

> AFAIK, process-send-string is a blocking function: it cannot return
> before the entire string was sent.

Yes indeed. However, the C function send_process internally calls
wait_reading_process_output, and this may again invoke the filter!  What
I find surprising is that this call of wait_reading_process_output is
not limited to the process whose output queue is full, i.e., the one for
which process-send-string was actually invoked. Would it work to limit
it to that process, or could there be an alternative means to prevent
reading from other processes in that case? It would be very useful in
such situations where I simply want to send, and not read anything.